createRun

POST /runs

Operation ID: createRun

Request body

Field Type Required
planId string yes
tags string[] no

Example:

{
  "planId": "string",
  "tags": [\
    "string"\\
  ]
}

Response (200)

Field Type Required
id string yes
planId string yes
planTitle string yes
status `"queued" "running"`
environment string yes
targetUrl string yes
actualCostCents integer yes
durationSeconds integer null · nullable
issueCount integer yes
criticalIssues integer yes
highIssues integer yes
liveUrl string null · nullable
recordingUrl string null · nullable
startedAt string (ISO 8601) no
completedAt string (ISO 8601) no
createdAt string (ISO 8601) yes

Example:

{
  "id": "string",
  "planId": "string",
  "planTitle": "string",
  "status": "queued",
  "environment": "string",
  "targetUrl": "string",
  "actualCostCents": 0,
  "durationSeconds": 0,
  "issueCount": 0,
  "criticalIssues": 0,
  "highIssues": 0,
  "liveUrl": "string",
  "recordingUrl": "string",
  "startedAt": "2026-04-18T12:34:56Z",
  "completedAt": "2026-04-18T12:34:56Z",
  "createdAt": "2026-04-18T12:34:56Z"
}

Example request

curl https://api.qacrow.com/api/runs -X POST \
  -H "Authorization: Bearer qac_live_..." \
  -H "Content-Type: application/json" \
  -d '{"planId":"string","tags":["string"]}'